<?php
/*
	Template Name: Cover Page
*/

get_header(); ?>
<div class="mainWrapper">
	<div class="mainCol">
    <?php
	$coverPicId = get_option('coverPic');
	$coverPic = NULL;
	if ($coverPicId && $coverPicId > 0){
		$coverPic = wp_get_attachment_image_src($coverPicId, 'full');
	}
	
	$coverPostId = get_option('coverPostId');
	$coverPost =  NULL;
	if ($coverPostId && $coverPostId > 0){
		$coverPost = get_post($coverPostId);
	}
	
	$titleSize = intval(get_option('coverPostHeadingSize'));
	$titleSize = $titleSize <= 0?40:$titleSize;
	
	$titleColor = get_option('coverPostHeadingColor');
	if (!$titleColor || $titleColor == ''){
		$titleColor = '000000';
	}
	
	$frontPageUrl = esc_url(get_option('logoLink'));
	$frontPageUrl = ($frontPageUrl && $frontPageUrl != '')?$frontPageUrl:get_bloginfo('url');
	?>
        <a href="<?php echo $frontPageUrl; ?>"><img src="<?php echo $coverPic[0];?>" width="100%"></a>
        <div class="heading">
        	<a href="<?php echo get_permalink($coverPostId);?>">
        	<h1 style="font-size: <?php echo $titleSize; ?>px; color: #<?php echo $titleColor; ?>;"><?php echo $coverPost->post_title; ?></h1>
            <p class="excerpt"><?php echo $coverPost->post_excerpt; ?></p>
            <p class="author">By <?php echo get_the_author_meta('display_name', $coverPost->post_author); ?></p>
            </a>
        </div>
        <div class="linkToFrontPage"><a href="<?php
			echo $frontPageUrl;
		?>" title="To Front Page"><i class="icon-circle-arrow-right"></i></a></div>
    </div>
</div>
<?php get_footer(); ?>