<?php
	define('TEMPPATH', get_bloginfo('stylesheet_directory'));
	define('IMAGES', 'TEMPPATH'.'/images');
	
	add_theme_support('nav-menus');
	add_theme_support( 'post-thumbnails' );
	
	/***********  theme options  ***********/
	require_once('theme-options.php');
	
	/***********  initialization  ***********/
	wp_register_script('init', get_template_directory_uri() . '/js/init.js', array('jquery'), '0.1', true);
	wp_register_script('initSingle', get_template_directory_uri() . '/js/init_single.js', array('jquery'), '0.1', true);
	wp_register_script('initCover', get_template_directory_uri() . '/js/init_cover.js', array('jquery'), '0.1', true);
	
	function enqueueApplyInitScript(){
		wp_enqueue_script('init', get_template_directory_uri() . '/js/init.js', array('jquery'), '0.1', true);
		if (is_page_template('cover.php')){
			wp_enqueue_script('initCover', get_template_directory_uri() . '/js/init_cover.js', array('jquery'), '0.1', true);
		} elseif (is_single() || is_page()){
			wp_enqueue_script('initSingle', get_template_directory_uri() . '/js/init_single.js', array('jquery'), '0.1', true);
		}
	}
	add_action('wp_enqueue_scripts','enqueueApplyInitScript');
	
	/***********  jscolor library  ***********/
	// wp_enqueue_script('jscolor', get_template_directory_uri() . '/js/jscolor/jscolor.js', array('jquery'));
	function enqueueJSColor(){
		wp_enqueue_script('jscolor', get_template_directory_uri() . '/js/jscolor/jscolor.js', array('jquery'));
	}
	function enqueueJSThemeSettings(){
		wp_enqueue_script('themeSettings', get_template_directory_uri() . '/js/theme-settings.js', array('jquery'));
	}
	add_action('admin_init','enqueueJSColor');
	add_action('admin_init','enqueueJSThemeSettings');
	
	/***********  for widgets  ***********/
	require_once('theme-widgets.php');
	wp_register_script('sliderWidget', get_template_directory_uri() . '/js/slider.js', array('jquery'), '0.1', true);
	function enqueueSliderScript(){
		wp_enqueue_script('sliderWidget', get_template_directory_uri() . '/js/slider.js', array('jquery'), '0.1', true);
	}
	
	add_action('wp_enqueue_scripts','enqueueSliderScript');
	
	/***********  for menus  ***********/
	if (function_exists('register_nav_menus')){
		register_nav_menus(array('primaryMenu' => 'Primary Menu'));
	}
	if (function_exists('register_nav_menus')){
		register_nav_menus(array('footerMenu' => 'Footer Menu'));
	}
	
	/***********  for sidebars  ***********/
	if (function_exists('register_sidebar')){
		register_sidebar(array(
			'name' => __('Left Column of Front Page', 'front-page-left'),
			'id' => 'front-page-left',
			'description' => __('Left column of front page','desc-front-page-left'),
			'before_widget' => '<div class="widget">',
			'after_widget' => '</div>',
			'before_title' => '<h2 class="widgetTitle">',
			'after_title' => '</h2>',
			));
	}
	
	if (function_exists('register_sidebar')){
		register_sidebar(array(
			'name' => __('Middle Column of Front Page', 'front-page-middle'),
			'id' => 'front-page-middle',
			'description' => __('Middle column of front page','desc-front-page-middle'),
			'before_widget' => '<div class="widget">',
			'after_widget' => '</div>',
			'before_title' => '<h2 class="widgetTitle">',
			'after_title' => '</h2>',
			));
	}
	
	if (function_exists('register_sidebar')){
		register_sidebar(array(
			'name' => __('Right Column of Front Page', 'front-page-right'),
			'id' => 'front-page-right',
			'description' => __('Right column of front page','desc-front-page-right'),
			'before_widget' => '<div class="widget">',
			'after_widget' => '</div>',
			'before_title' => '<h2 class="widgetTitle">',
			'after_title' => '</h2>',
			));
	}
	
	if (function_exists('register_sidebar')){
		register_sidebar(array(
			'name' => __('Left Column of Category Page', 'category-left'),
			'id' => 'category-left',
			'description' => __('Left column of category page','desc-category-left'),
			'before_widget' => '<div class="widget">',
			'after_widget' => '</div>',
			'before_title' => '<h2 class="widgetTitle">',
			'after_title' => '</h2>',
			));
	}
	
	if (function_exists('register_sidebar')){
		register_sidebar(array(
			'name' => __('Main Area of Category Page', 'category-main'),
			'id' => 'category-main',
			'description' => __('Main area of category page','desc-category-main'),
			'before_widget' => '<div class="widget">',
			'after_widget' => '</div>',
			'before_title' => '<h2 class="widgetTitle">',
			'after_title' => '</h2>',
			));
	}
	
	if (function_exists('register_sidebar')){
		register_sidebar(array(
			'name' => __('Left Column of a Single Post', 'single-left'),
			'id' => 'single-left',
			'description' => __('Left column of a single post','desc-single-left'),
			'before_widget' => '<div class="widget">',
			'after_widget' => '</div>',
			'before_title' => '<h2 class="widgetTitle">',
			'after_title' => '</h2>',
			));
	}
	
	if (function_exists('register_sidebar')){
		register_sidebar(array(
			'name' => __('Left Column of Archive Page', 'archive-left'),
			'id' => 'archive-left',
			'description' => __('Left column of archive page','desc-archive-left'),
			'before_widget' => '<div class="widget">',
			'after_widget' => '</div>',
			'before_title' => '<h2 class="widgetTitle">',
			'after_title' => '</h2>',
			));
	}
	
	if (function_exists('register_sidebar')){
		register_sidebar(array(
			'name' => __('Main Area of Archive Page', 'archive-main'),
			'id' => 'archive-main',
			'description' => __('Main area of archive page','desc-archive-main'),
			'before_widget' => '<div class="widget">',
			'after_widget' => '</div>',
			'before_title' => '<h2 class="widgetTitle">',
			'after_title' => '</h2>',
			));
	}
	
	if (function_exists('register_sidebar')){
		register_sidebar(array(
			'name' => __('Left Column of Search Page', 'search-left'),
			'id' => 'search-left',
			'description' => __('Left column of search page','desc-search-left'),
			'before_widget' => '<div class="widget">',
			'after_widget' => '</div>',
			'before_title' => '<h2 class="widgetTitle">',
			'after_title' => '</h2>',
			));
	}
	
	if (function_exists('register_sidebar')){
		register_sidebar(array(
			'name' => __('Main Area of Search Page', 'search-main'),
			'id' => 'search-main',
			'description' => __('Main area of search page','desc-search-main'),
			'before_widget' => '<div class="widget">',
			'after_widget' => '</div>',
			'before_title' => '<h2 class="widgetTitle">',
			'after_title' => '</h2>',
			));
	}
	
	/***********  for posts  ***********/
	function new_excerpt_more( $more ) {
		return '...';
	}
	add_filter('excerpt_more', 'new_excerpt_more');
	
	
	/***********  for shortcodes  ***********/
	function columnImageFunc($atts){
	   extract(shortcode_atts(array(
	   		'src' => '',
			'alt' => '',
	   		'width' => '100%',
			'float' => 'none',
			'caption' => '',
			'column_span' => '1',
			'margin_top' => '0',
			'margin_right' => '0',
			'margin_bottom' => '0',
			'margin_left' => '0',
	   ), $atts));
	
	   $html = '<div class="columnImage" style="width: '.$width.'; float: '.$float.'; -webkit-column-span: '.$column_span.'; -moz-column-span: '.$column_span.'; column-span: '.$column_span.'; margin: '.$margin_top.' '.$margin_right.' '.$margin_bottom.' '.$margin_left.';">';
	   if ($src != NULL) {
	       $html .= '<img src="'.$src.'" style="width: 100%; height: auto;" alt="'.$alt.'">';
	   }
	   if ($caption != NULL) {
		   $html .= '<p class="caption">'.$caption.'</p>';
	   }
	   $html .= '</div>';
	
	   return $html;
	}
	
	function register_shortcodes(){
	   add_shortcode('column_image', 'columnImageFunc');
	}
	
	add_action( 'init', 'register_shortcodes');
	
	
	/***********  for main navigation menu  ***********/
	add_filter( 'wp_nav_menu_objects', 'add_menu_parent_class' );
	function add_menu_parent_class( $items ) {
		if (!is_single() && !is_category()) return $items;
		
		$catIds = array();
		
		if (is_single()){
			$cats = get_the_category();
			$catIds = array();

			if ($cats){
				foreach($cats as $c){
					$catIds[] = $c->cat_ID;
				}
			}
		}
			
		if (is_category()){
			$catId = intval(get_query_var('cat'));
			$cat = get_category($catId);
			$catIds = array($catId, $cat->category_parent);
		}
		
		foreach ( $items as $item ) {
			if ( $item->object == 'category' && in_array( $item->object_id, $catIds ) ) {
				$item->classes[] = 'current-menu-item'; 
			}
		}
		
		return $items;    
	}
?>