<!doctype html>
<html>
<head>
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0">
<title><?php bloginfo('name'); ?><?php wp_title(); ?></title>
<!--[if lt IE 9]> <script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script> <![endif]-->
<?php
	$serif = get_option('serif');
	$sansSerif = get_option('sansSerif');
	if (!$serif || $serif == ''){
		$serif = "Droid Serif";
	}
	if (!$sansSerif || $sansSerif == ''){
		$sansSerif = "Source Sans Pro";
	}
?>
<link href="http://fonts.googleapis.com/css?family=<?php echo str_replace(' ','+',$sansSerif);?>:200,200italic,400,700" rel="stylesheet" type="text/css">
<link href="http://fonts.googleapis.com/css?family=<?php echo str_replace(' ','+',$serif);?>:400,700,400italic" rel="stylesheet" type="text/css">
<link href="<?php bloginfo('stylesheet_directory'); ?>/css/font-awesome.min.css" rel="stylesheet" type="text/css">
<link href="<?php bloginfo('stylesheet_url'); ?>" rel="stylesheet" type="text/css">
<link href="<?php bloginfo('stylesheet_directory'); ?>/css/header.css" rel="stylesheet" type="text/css">
<link href="<?php bloginfo('stylesheet_directory'); ?>/css/main-wrapper.css" rel="stylesheet" type="text/css">
<link href="<?php bloginfo('stylesheet_directory'); ?>/css/footer.css" rel="stylesheet" type="text/css">
<?php if (is_page_template('three-column-front-page.php')): ?>
<link href="<?php bloginfo('stylesheet_directory'); ?>/css/three-column-front-page.css" rel="stylesheet" type="text/css">
<?php elseif (is_page_template('cover.php')): ?>
<link href="<?php bloginfo('stylesheet_directory'); ?>/css/cover.css" rel="stylesheet" type="text/css">
<?php elseif (is_single()): ?>
<link href="<?php bloginfo('stylesheet_directory'); ?>/css/single.css" rel="stylesheet" type="text/css">
<?php elseif (is_page()): ?>
<link href="<?php bloginfo('stylesheet_directory'); ?>/css/page.css" rel="stylesheet" type="text/css">
<?php elseif (is_archive() || is_search()): ?>
<link href="<?php bloginfo('stylesheet_directory'); ?>/css/archive.css" rel="stylesheet" type="text/css">
<?php elseif (is_home()): ?>
<link href="<?php bloginfo('stylesheet_directory'); ?>/css/index.css" rel="stylesheet" type="text/css">
<?php endif; ?>
<link href="<?php bloginfo('stylesheet_directory'); ?>/css/widgets.css" rel="stylesheet" type="text/css">
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>">
<?php
	$logo = get_option('themeLogo');
	$logoImg = NULL;
	if ($logo && $logo > 0){
		$logoImg = wp_get_attachment_image_src($logo, 'full');
	}
?>
<style>
<?php
	if ($logoImg): ?>
	
		body>header.hRule:before{
			top: <?php echo $logoImg[2]+21; ?>px;
		}
		
		body>header.hRule:after{
			top: <?php echo $logoImg[2]+26; ?>px;
		}
		
		body>header>h1>a{
			display: block;
			margin: 0 auto;
			width: <?php echo $logoImg[1]; ?>px;
			height: <?php echo $logoImg[2]; ?>px;
		}
<?php
	endif;
	
	if ($serif != 'Droid Serif'):
?>
	.serif{
		font-family: '<?php echo $serif; ?>', serif;
	}
<?php endif;
	if ($sansSerif != 'Source Sans Pro'):
?>
	.sansSerif{
		font-family: '<?php echo $sansSerif; ?>', sans-serif;
	}
<?php endif; ?>
<?php
	$c = get_option('colorPageBg');
	if ($c && $c !=''){
		echo 'body {background: #'.$c.';}';
	}
	
	$c = get_option('colorMainBg');
	if ($c && $c !=''){
		echo '.centered {background: #'.$c.';}';
	}
	
	$c = get_option('colorSiteTitle');
	if ($c && $c !=''){
		echo 'body > header > h1 > a:link, body > header > h1 > a:visited {color: #'.$c.';}';
	}
	
	$c = get_option('colorTagline');
	if ($c && $c !=''){
		echo 'body > header > .tagline {color: #'.$c.';}';
	}
	
	$c = get_option('colorMainBg');
	if ($c && $c !=''){
		echo '.centered {background: #'.$c.';}';
	}
	
	$c = get_option('colorWidgetTitleBg');
	if ($c && $c !=''){
		echo '.widget h2{background: #'.$c.';}';
	}
	
	$c = get_option('colorWidgetTitleText');
	if ($c && $c !=''){
		echo '.widget h2{color: #'.$c.';}';
	}
	
	$c = get_option('colorHRule');
	if ($c && $c !=''){
		echo '.hRule:before, .hRule:after{background: #'.$c.';}';
	}
	
	$c = get_option('colorColumnRules');
	if ($c && $c !=''){
		echo '.twoColumnRules:before{border-left-color: #'.$c.'; border-right-color: #'.$c.';}';
		echo '.oneColumnRule:before{border-left-color: #'.$c.';}';
	}
	
	$c = get_option('colorCurrentMenuItemBg');
	if ($c && $c !=''){
		echo 'body > header > nav .current-menu-item {background: #'.$c.';}';
	}
	
	$c = get_option('colorCurrentMenuItemText');
	if ($c && $c !=''){
		echo 'body > header > nav .current-menu-item a{color: #'.$c.';}';
	}
	
	$c = get_option('colorMenuItemBgHovered');
	if ($c && $c !=''){
		echo 'body>header>nav>ul>li:hover {background: #'.$c.';}';
	}
	
	$c = get_option('colorMenuItemTextHovered');
	if ($c && $c !=''){
		echo 'body>header>nav>ul>li:hover>h3>a:link, body>header>nav>ul>li:hover>h3>a:visited{color: #'.$c.';}';
	}
	
	$c = get_option('colorSubMenuItemBg');
	if ($c && $c !=''){
		echo 'body > header > nav > ul > li > ul {background: #'.$c.';}';
	}
	
	$c = get_option('colorSubMenuItemBgHovered');
	if ($c && $c !=''){
		echo 'body>header>nav>ul>li>ul>li:hover, body>header>nav>ul>li>ul>li.current-menu-item{background: #'.$c.';}';
	}
	
	$c = get_option('colorSubMenuItemText');
	if ($c && $c !=''){
		echo 'body > header > nav > ul > li > ul > li > h3 > a:link, body > header > nav > ul > li > ul > li > h3 > a:visited {color: #'.$c.';}';
	}
	
	$c = get_option('colorWidgetSidebarLinkBg');
	if ($c && $c !=''){
		echo '.widget.sidebarLink > h2 {background: #'.$c.';}';
	}
	
	$c = get_option('colorWidgetSidebarLinkText');
	if ($c && $c !=''){
		echo '.widget.sidebarLink > h2 a:link, .widget.sidebarLink > h2 a:visited{color: #'.$c.';}';
	}
	
	$c = get_option('coverPostHeadingWidth');
	if ($c && $c !=''){
		echo '.mainWrapper>.mainCol>.heading {width: '.$c.'%;}';
	}
	
	$c = get_option('coverPostHeadingTop');
	if ($c && $c !=''){
		echo '.mainWrapper>.mainCol>.heading {top: '.$c.'px;}';
	}
	
	$c = get_option('coverPostHeadingLeft');
	if ($c && $c !=''){
		echo '.mainWrapper>.mainCol>.heading {left: '.$c.'px;}';
	}
	
?>
</style>
<?php wp_head(); ?>
</head>

<body>
<header>
<h1><a href="<?php
	$url = esc_url(get_option('logoLink'));
	$url = ($url && $url != '')?$url:get_bloginfo('url');
	echo $url;
?>"><?php
	if ($logoImg):
	?>
    	<img src="<?php echo $logoImg[0];?>" alt="<?php bloginfo('name'); ?>" width="<?php echo $logoImg[1];?>" height="<?php echo $logoImg[2];?>">
    <?php
	else:
		bloginfo('name'); ?>
    <?php
	endif;
?></a></h1>

<p class="tagline"><?php bloginfo('description'); ?></p>
<?php

if (is_page_template('three-column-front-page.php') || is_page_template('cover.php') || is_home()):
		get_search_form(); 
elseif (is_single() || is_page() || is_archive() || is_search()): ?>
<nav class="clearFix">
	<?php wp_nav_menu(array('menu'=>'primaryMenu','container'=>false,'depth'=>2,'before'=>'<h3>','after'=>'</h3>')); ?>
    <form>
            <select name="navMenu" id="navMenu">
                <option value="#">Please select</option>
                <option value="#">=============</option>
            </select>
    </form>
    <?php get_search_form(); ?>
</nav>
<?php endif; ?>
</header>