// JavaScript Document

(function($){
	
	$(document).ready(function(){
		initCSS();
		initNavMenu();
		
		$('.searchForm>a').click(function(e){
			e.preventDefault();
			$(this).parent().submit();
		});
	});

	function initNavMenu(){
		// create drop-down navigation menu
		if ($('nav>ul.menu').length>0){
			$('nav>ul.menu li').each(function(index, element) {
				var numParents = $(this).parents('ul').length;
				var prefix = ' -  - ';
				var menuItem = $(this).find('h3:eq(0)>a').text();
				var itemLink = $(this).find('h3:eq(0)>a').attr('href');
				
				if (numParents == 1) {
					menuItem = menuItem.toUpperCase();
				}
				
				$('select#navMenu').append('<option value="' + itemLink + '">'+ prefix.substring(0,3*numParents-3) + menuItem + '</option>');
				if ($(this).hasClass('current-menu-item')){
					$('select#navMenu>option').attr('selected','');
					$(this).attr('selected','selected');
				}
			});
		}
			
		$('select#navMenu').change(function(e) {
			var url = $(this).find('option:selected').attr('value');
			if (url != '' && url != '#'){
				window.location = url;
			}
		});
	}
	
	function initCSS(){
		$('body').addClass('serif noMarginOrPadding');
		
		$('body>header').addClass('centered');
		$('body>header').addClass('hRule');
		$('body>header>h1').addClass('noMarginOrPadding');
		$('body>header>.tagline').addClass('sansSerif uppercase noMarginOrPadding');
		$('body>header>nav>ul>li>ul').addClass('noMarginOrPadding');
		$('body>header>nav h3').addClass('sansSerif noMarginOrPadding');
		
		$('.searchForm>a').addClass('sansSerif uppercase');
		$('.searchForm>input').addClass('sansSerif');
		
		$('body>footer').addClass('centered hRule');
		$('body>footer>.copyright').addClass('serif');
		$('body>footer p').addClass('sansSerif');
		$('body>footer>ul.menu').addClass('noMarginOrPadding');
		$('body>footer>ul.menu>li').addClass('sansSerif uppercase');
		
		$('.widget h2').addClass('sansSerif uppercase noMarginOrPadding');
		$('.widget h3').addClass('sansSerif uppercase noMarginOrPadding');
		$('.widget h4').addClass('sansSerif');
		$('.widget h5').addClass('sansSerif');
		$('.widget h6').addClass('sansSerif');
		$('.widget ul').addClass('noMarginOrPadding');
		$('.widget li').addClass('noMarginOrPadding');
		$('.widget p').addClass('noMarginOrPadding');
		$('.widget>ul.highlights>li>h3').removeClass('sansSerif uppercase').addClass('serif');
		$('.widget>ul.highlights>li>.date').addClass('sansSerif uppercase');
		$('.widget>ul.recentArticles>li>h3').removeClass('sansSerif uppercase').addClass('serif');
		$('.widget>ul.recentArticles>li>.date').addClass('sansSerif uppercase');
		$('.widget>ul.recentArticles + .pagination>.page-numbers').addClass('sansSerif');
		$('.widget>ul.recentArticles + .pagination>.page-numbers').addClass('uppercase');
		$('.widget>ul.postTags>li').addClass('uppercase');
		$('.widget>ul.postTags>li').addClass('sansSerif');
		$('.widget>.tagcloud a').addClass('sansSerif');
		$('.widget>.tagcloud a').addClass('uppercase');

		$('.mainWrapper').addClass('centered');
		$('.mainWrapper>.mainCol>h2.listInfo').addClass('sansSerif uppercase noMarginOrPadding');
	}
	
})(jQuery);