// JavaScript Document

(function($){
	var sliderTimer;
	$(window).load(function(){
		initializeSlider();
		
		$('.widget>.slider .button').click(function(e) {
			e.preventDefault();
        	var i = $(this).index();
			var offset = -i*$('.widget>.slider>.frame').width();
			$('.widget>.slider .imageContainer').animate({left: offset, }, 'slow');
			$('.widget>.slider .button').removeClass('current');
			$(this).addClass('current');
			$('.widget>.slider .caption').hide();
			$('.widget>.slider .caption:eq('+i+')').show();
			resetSliderTimer();
        });
		
		
	});
	
	$(window).resize(function(e){
		resizeSlider();
	});
	
	function initializeSlider(){
		resizeSlider();
		$('.widget>.slider .imageContainer img').each(function(index, element) {
			$('.widget>.slider>.buttonContainer').append('<a href="#" class="button '+ (index===0?'current':'') +'"></a>');
		});
		$('.widget>.slider .caption').hide();
		$('.widget>.slider .caption:eq(0)').show();
		resetSliderTimer();
	}
	
	function resizeSlider(){
		var maxHeight = 0;
		$('.widget>.slider .imageContainer img').each(function(index, element) {
			var h = $(this).height();
			if (h>maxHeight){
				maxHeight = h;
			}
		});
		$('.widget>.slider .frame').css('height', maxHeight);
		
		var i = $('.widget>.slider .button.current').index();
		i = i>=0? i:0;
		var offset = -i*$('.widget>.slider>.frame').width();
		$('.widget>.slider .imageContainer').css('left', offset);
		
		maxHeight = 0;
		$('.widget>.slider .caption').each(function(index, element) {
			var h = $(this).height();
			if (h>maxHeight){
				maxHeight = h;
			}
		});
		$('.widget>.slider .caption').css('height', maxHeight);
		
		
	}

	function nextSliderImage(){
		var i = $('.widget>.slider .button.current').index();
		i = (i+1)%$('.widget>.slider .button').length;
		$('.widget>.slider .button:eq('+i+')').click();
	}
	
	function resetSliderTimer(){
		/*
		clearInterval(sliderTimer);
		sliderTimer = setInterval(function(){
			nextSliderImage();
		}, 5000);
		*/
	}
})(jQuery);