<?php
add_action('admin_menu', 'createThemeMenu');

function createThemeMenu(){
	add_submenu_page('themes.php', 'MagaNews Settings', 'MagaNews Settings', 'administrator', 'MagaNews-settings', 'createThemeSettingsPage');
	add_action( 'admin_init', 'registerThemeSettings' );
}

function registerThemeSettings(){
	register_setting('themeSettings', 'themeLogo');
	register_setting('themeSettings', 'logoLink');
	register_setting('themeSettings', 'serif');
	register_setting('themeSettings', 'sansSerif');
	register_setting('themeSettings', 'coverPic');
	register_setting('themeSettings', 'coverPostId');
	register_setting('themeSettings', 'coverPostHeadingSize');
	register_setting('themeSettings', 'coverPostHeadingColor');
	register_setting('themeSettings', 'coverPostHeadingWidth');
	register_setting('themeSettings', 'coverPostHeadingTop');
	register_setting('themeSettings', 'coverPostHeadingLeft');
	register_setting('themeSettings', 'footerInfo');
	register_setting('themeSettings', 'analytics');
	
	register_setting('themeSettings', 'colorPageBg');
	register_setting('themeSettings', 'colorMainBg');
	register_setting('themeSettings', 'colorSiteTitle');
	register_setting('themeSettings', 'colorTagline');
	register_setting('themeSettings', 'colorWidgetTitleBg');
	register_setting('themeSettings', 'colorWidgetTitleText');
	register_setting('themeSettings', 'colorHRule');
	register_setting('themeSettings', 'colorColumnRules');
	register_setting('themeSettings', 'colorCurrentMenuItemBg');
	register_setting('themeSettings', 'colorCurrentMenuItemText');
	register_setting('themeSettings', 'colorMenuItemBgHovered');
	register_setting('themeSettings', 'colorMenuItemTextHovered');
	register_setting('themeSettings', 'colorSubMenuItemBg');
	register_setting('themeSettings', 'colorSubMenuItemBgHovered');
	register_setting('themeSettings', 'colorSubMenuItemText');
	register_setting('themeSettings', 'colorWidgetSidebarLinkBg');
	register_setting('themeSettings', 'colorWidgetSidebarLinkText');
}

function createThemeSettingsPage() {
	$fonts = file_get_contents('https://www.googleapis.com/webfonts/v1/webfonts?key=AIzaSyDtttygy4hwMotiHODDCmk24EzspjY6-G4');
	$fonts = json_decode($fonts);
	if ($fonts) $fonts = $fonts->items;
	
?>

<div class="wrap">
<h2>Theme Settings</h2>

<form method="post" action="options.php">
    <?php settings_fields( 'themeSettings' ); ?>
    <table class="form-table">
        <tr valign="top">
        <th scope="row">Logo: </th>
        <td>
        	<select name="themeLogo">
            	<option value="">(Default: use the site title as logo)</option>
            	<?php
				$args = array(
					 'post_type' => 'attachment',
					 'numberposts' => -1,
					 'post_status' => null,
				);
                $images = get_posts($args);
				if($images){
					foreach ($images as $img){
						$selected = NULL;
						if ($img->ID == get_option('themeLogo')) $selected = 'selected="selected"';
						echo '<option value="'.$img->ID.'" '.$selected.'>'.apply_filters( 'the_title', $img->post_title ).'</option>';
					}
				}
				?>
            </select>
       	</td>
       	</tr>
        <tr valign="top">
        <th scope="row">Link of Logo / Site Title: </th>
        <td><input type="text" size="50" name="logoLink" value="<?php $c = get_option('logoLink'); echo $c?$c:get_bloginfo('url'); ?>"/><br/>
        Tips: paste the permalink of the three-column front page here if you specify the cover page as the front page in WordPress's "Reading Settings".
        </td>
       	</tr>
        <tr valign="top">
        <th scope="row">Serif Font:</th>
        <td>
        	<select name="serif">
            	<option value="">(Default: Droid Serif)</option>
        	<?php
            	foreach ($fonts as $f){
					$selected = NULL;
					if ($f->family == get_option('serif')) $selected = 'selected="selected"';
					echo '<option value="'.$f->family.'" '.$selected.'>'.apply_filters( 'the_title', $f->family ).'</option>';
				}
			?>
            </select>
            <br/>
            Tips: Preview all fonts at <a href="http://www.google.com/webfonts" target="_blank">Google Web Fonts</a> and then choose the one you like from the list above.
       	</td>
        </tr>
          <tr valign="top">
        <th scope="row">Sans Serif Font:</th>
        <td>
        	<select name="sansSerif">
            	<option value="">(Default: Source Sans Pro)</option>
        	<?php
            	foreach ($fonts as $f){
					$selected = NULL;
					if ($f->family == get_option('sansSerif')) $selected = 'selected="selected"';
					echo '<option value="'.$f->family.'" '.$selected.'>'.apply_filters( 'the_title', $f->family ).'</option>';
				}
			?>
            </select>
            <br/>
            Tips: Preview all fonts at <a href="http://www.google.com/webfonts" target="_blank">Google Web Fonts</a> and then choose the one you like from the list above.
       	</td>
		</tr>
        <tr valign="top">
        <th scope="row">Cover Picture: </th>
        <td>
        	<select name="coverPic">
            	<option value="">(No Image Selected)</option>
            	<?php
				$args = array(
					 'post_type' => 'attachment',
					 'numberposts' => -1,
					 'post_status' => null,
				);
                $images = get_posts($args);
				if($images){
					foreach ($images as $img){
						$selected = NULL;
						if ($img->ID == get_option('coverPic')) $selected = 'selected="selected"';
						echo '<option value="'.$img->ID.'" '.$selected.'>'.apply_filters( 'the_title', $img->post_title ).'</option>';
					}
				}
				?>
            </select>
       	</td>
       	</tr>
        <tr valign="top">
        <th scope="row">Cover Post: </th>
        <td>
        	<input type="text" name="coverPostId" value="<?php $c = get_option('coverPostId'); echo $c?$c:''; ?>"/><br/>
            Type in the ID of the post to be chosen as the cover post. The title, excerpt and the author of the post will be shown on the cover page.
       	</td>
       	</tr>
        <tr valign="top">
        <th scope="row">Cover Post Heading (Font Size): </th>
        <td>
        	<input type="text" name="coverPostHeadingSize" value="<?php $c = get_option('coverPostHeadingSize'); echo $c?$c:'52px'; ?>"/><br/>
            Type in the font size for the title of the cover post.
       	</td>
       	</tr>
        <tr valign="top">
        <th scope="row">Cover Post Heading (Color): </th>
        <td><input class="color {required:false}" type="text" name="coverPostHeadingColor" value="<?php $c = get_option('coverPostHeadingColor'); echo $c?$c:'C1272D'; ?>"/></td>
       	</tr>
        <tr valign="top">
        <th scope="row">Cover Post Heading Area (Width): </th>
        <td>
        	<input type="text" name="coverPostHeadingWidth" value="<?php $c = get_option('coverPostHeadingWidth'); echo $c?$c:'40'; ?>"/>%
       	</td>
       	</tr>
        <tr valign="top">
        <th scope="row">Cover Post Heading Area (Position: Top): </th>
        <td>
        	<input type="text" name="coverPostHeadingTop" value="<?php $c = get_option('coverPostHeadingTop'); echo $c?$c:'80'; ?>"/>px
       	</td>
       	</tr>
        <tr valign="top">
        <th scope="row">Cover Post Heading Area (Position: Left):</th>
        <td>
        	<input type="text" name="coverPostHeadingLeft" value="<?php $c = get_option('coverPostHeadingLeft'); echo $c?$c:'20'; ?>"/>px
       	</td>
       	</tr>
        <tr>
        <th scope="row">Footer Information:</th>
        <td>
       		<textarea name="footerInfo" cols="50" rows="5"><?php print get_option('footerInfo'); ?></textarea><br/>
            This will appear beneath the copyright info in the footer.
       	</td>
        </tr>
        <tr>
        <th scope="row">Google Analytics:</th>
        <td>
       		<textarea name="analytics" cols="50" rows="5"><?php print get_option('analytics'); ?></textarea>
       	</td>
        </tr>
		<tr>
		<th scope="row">Color Scheme:<br/><br/><a href="#" id="colorScheme1">Classic</a> | <a href="#" id="colorScheme2">Sepia</a><br/><br/>Tips: leave the text field blank to restore its default value<br/><br/><a href="#" id="setAllToDefault">Set All to Default</a></th>
        <td>
        	<table style="border: 1px solid #ddd;" class="colorSchemeTable">
            	<tr valign="top">
                	<td><label for="colorPageBg">Page (Background): </label></td>
                    <td><input class="color {required:false}" type="text" name="colorPageBg" value="<?php $c = get_option('colorPageBg'); echo $c?$c:'FFFFFF'; ?>"/></td>
                    
                </tr>
                <tr valign="top">
                	<td><label for="colorMainBg">Main Background: </label></td>
                    <td><input class="color {required:false}" type="text" name="colorMainBg" value="<?php $c = get_option('colorMainBg'); echo $c?$c:'FFFFFF'; ?>"/></td>
                    
                </tr>
                <tr valign="top">
                	<td><label for="colorSiteTitle">Site Title: </label></td>
                    <td><input class="color {required:false}" type="text" name="colorSiteTitle" value="<?php $c = get_option('colorSiteTitle'); echo $c?$c:'000000'; ?>"/></td>
                    
                </tr>
                <tr valign="top">
                	<td><label for="colorTagline">Tagline: </label></td>
                    <td><input class="color {required:false}" type="text" name="colorTagline" value="<?php $c = get_option('colorTagline'); echo $c?$c:'000000'; ?>"/></td>
                    
                </tr>
                <tr valign="top">
                	<td><label for="colorWidgetTitleBg">Widget Title (Background): </label></td>
                    <td><input class="color {required:false}" type="text" name="colorWidgetTitleBg" value="<?php $c = get_option('colorWidgetTitleBg'); echo $c?$c:'000000'; ?>"/></td>
                    
                </tr>
                <tr valign="top">
                	<td><label for="colorWidgetTitleText">Widget Title (Text): </label></td>
                    <td><input class="color {required:false}" type="text" name="colorWidgetTitleText" value="<?php $c = get_option('colorWidgetTitleText'); echo $c?$c:'FFFFFF'; ?>"/></td>
                    
                </tr>
                <tr valign="top">
                	<td><label for="colorHRule">Horizontal Rule (Header & Footer): </label></td>
                    <td><input class="color {required:false}" type="text" name="colorHRule" value="<?php $c = get_option('colorHRule'); echo $c?$c:'000000'; ?>"/></td>
                    
                </tr>
                <tr valign="top">
                	<td><label for="colorColumnRules">Column Rule: </label></td>
                    <td><input class="color {required:false}" type="text" name="colorColumnRules" value="<?php $c = get_option('colorColumnRules'); echo $c?$c:'000000'; ?>"/></td>
                    
                </tr>
                <tr valign="top">
                	<td><label for="colorCurrentPrimaryMenuItemBg">Current Primary Menu Item (Background, 1st level): </label></td>
                    <td><input class="color {required:false}" type="text" name="colorCurrentMenuItemBg" value="<?php $c = get_option('colorCurrentMenuItemBg'); echo $c?$c:'000000'; ?>"/></td>
                    
                </tr>
                <tr valign="top">
                	<td><label for="colorCurrentPrimaryMenuItemText">Current Primary Menu Item (Text, 1st level): </label></td>
                    <td><input class="color {required:false}" type="text" name="colorCurrentMenuItemText" value="<?php $c = get_option('colorCurrentMenuItemText'); echo $c?$c:'FFFFFF'; ?>"/></td>
                    
                </tr>
                <tr valign="top">
                	<td><label for="colorMenuItemBgHovered">Primary Menu Item (Background when hovered, 1st level): </label></td>
                    <td><input class="color {required:false}" type="text" name="colorMenuItemBgHovered" value="<?php $c = get_option('colorMenuItemBgHovered'); echo $c?$c:'000000'; ?>"/></td>
                    
                </tr>
                <tr valign="top">
                	<td><label for="colorMenuItemTextHovered">Primary Menu Item (Text when hovered, 1st level): </label></td>
                    <td><input class="color {required:false}" type="text" name="colorMenuItemTextHovered" value="<?php $c = get_option('colorMenuItemTextHovered'); echo $c?$c:'FFFFFF'; ?>"/></td>
                    
                </tr>
                <tr valign="top">
                	<td><label for="colorSubMenuItemBg">Primary Menu Item (Background, 2nd level): </label></td>
                    <td><input class="color {required:false}" type="text" name="colorSubMenuItemBg" value="<?php $c = get_option('colorSubMenuItemBg'); echo $c?$c:'333333'; ?>"/></td>
                    
                </tr>
                <tr valign="top">
                	<td><label for="colorSubMenuItemBgHovered">Primary Menu Item (Background when hovered, 2nd level): </label></td>
                    <td><input class="color {required:false}" type="text" name="colorSubMenuItemBgHovered" value="<?php $c = get_option('colorSubMenuItemBgHovered'); echo $c?$c:'999999'; ?>"/></td>
                    
                </tr>
                <tr valign="top">
                	<td><label for="colorSubMenuItemText">Primary Menu Item (Text, 2nd level): </label></td>
                    <td><input class="color {required:false}" type="text" name="colorSubMenuItemText" value="<?php $c = get_option('colorSubItemText'); echo $c?$c:'FFFFFF'; ?>"/></td>
                    
                </tr>
                <tr valign="top">
                	<td><label for="colorWidgetSidebarLinkBg">Widget Sidebar Link (Background): </label></td>
                    <td><input class="color {required:false}" type="text" name="colorWidgetSidebarLinkBg" value="<?php $c = get_option('colorWidgetSidebarLinkBg'); echo $c?$c:'808080'; ?>"/></td>
                    
                </tr>
                <tr valign="top">
                	<td><label for="colorWidgetSidebarLinkText">Widget Sidebar Link (Text): </label></td>
                    <td><input class="color {required:false}" type="text" name="colorWidgetSidebarLinkText" value="<?php $c = get_option('colorWidgetSidebarLinkText'); echo $c?$c:'FFFFFF'; ?>"/></td>
                    
                </tr>
            </table>
       	</td>
        </tr>     
    </table>
    <p class="submit">
    <input type="submit" class="button-primary" value="<?php _e('Save Changes') ?>" />
    </p>

</form>
</div>
<?php
}
?>