<?php

/*************** about the author ***************/
	class aboutTheAuthorWidget extends WP_Widget{
		public function __construct(){
			parent::__construct(
				'aboutTheAuthorWidget',
				'MagaNews Author Information',
				array('description' => __('Lists the author information of the current post'))
			);
		}
		
		public function form($instance){
			$title = isset($instance['title'])? $instance['title']:'About the Author';
			$hideEmail = isset($instance['hide_email'])? (bool) $instance['hide_email']:false;
			$hideHomepage = isset($instance['hide_homepage'])? (bool) $instance['hide_homepage']:false;
			?>
			<p>
            <label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e( 'Title:' ); ?></label> 
            <input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo esc_attr( $title ); ?>" /><br/>
            <input class="checkbox" id="<?php echo $this->get_field_id( 'hide_email' ); ?>" name="<?php echo $this->get_field_name( 'hide_email' ); ?>" type="checkbox" value="1" <?php echo $hideEmail?'checked':''; ?>/> <label for="<?php echo $this->get_field_id( 'hide_email' ); ?>"><?php _e( 'Hide email' ); ?></label><br/>
            <input class="checkbox" id="<?php echo $this->get_field_id( 'hide_homepage' ); ?>" name="<?php echo $this->get_field_name( 'hide_homepage' ); ?>" type="checkbox" value="1" <?php echo $hideHomepage?'checked':''; ?>/> <label for="<?php echo $this->get_field_id( 'hide_homepage' ); ?>"><?php _e( 'Hide homepage' ); ?></label><br/>
            </p>
        <?php
		}
		
		public function update($newInstance, $oldInstance){
			$instance = array();
			$instance['title'] = strip_tags($newInstance['title']);
			$instance['hide_email'] = (bool)$newInstance['hide_email'];
			$instance['hide_homepage'] = (bool)$newInstance['hide_homepage'];
			return $instance;
		}
		
		public function widget($args, $instance){
			extract( $args );
			$title = apply_filters( 'widget_title', $instance['title'] );
			$hideEmail = (bool)$instance['hide_email'];
			$hideHomepage = (bool)$instance['hide_homepage'];

			
			if (!is_single() && !is_archive()){
				return;
			}
			
			$authorId = NULL;
			if (is_archive()){
				$authorId = get_query_var('author');
				if (!($authorId && $authorId>0)){
					return;
				}
			}
	
			$html = $before_widget;
			if ( ! empty( $title ) ){
				$html .= $before_title . $title . $after_title;
			}
			
			$html .= '<ul class="authorInfo">';
			if (is_single()){
				if (have_posts()):
					while(have_posts()):
						the_post();
						$html .= '<li>';
						$html .= get_avatar( get_the_author_meta('user_email'), '64', '' );
						$html .= '<h3 class="name"><a href="'.get_author_posts_url( get_the_author_meta('ID') ).'">'.get_the_author().'</a></h3>';
						$html .= '<p class="contact">';
						$html .= (get_the_author_meta('user_email') != NULL && $hideEmail == false) ? '<a href="mailto:'.get_the_author_meta('user_email').'"><i class="icon-envelope"></i></a>':'';
						$html .= (get_the_author_meta('user_url') != NULL && $hideHomepage == false) ? '<a target="_blank" href="'.get_the_author_meta('user_url').'"><i class="icon-globe"></i></a>':'';
						$html .= '</p>';
						$html .= '<p class="desc">'.get_the_author_meta('description').'</p>';
						$html .= '</li>';
					endwhile;
				endif;
			} else {
						$html .= '<li>';
						$html .= get_avatar( get_the_author_meta('user_email', $authorId), '64', '' );
						$html .= '<h3 class="name"><a href="'.get_author_posts_url( $authorId ).'">'.get_the_author_meta('display_name', $authorId).'</a></h3>';
						$html .= '<p class="contact">';
						$html .= (get_the_author_meta('user_email', $authorId) != NULL) ? '<a href="mailto:'.get_the_author_meta('user_email', $authorId).'"><i class="icon-envelope"></i></a>':'';
						$html .= (get_the_author_meta('user_url', $authorId) != NULL) ? '<a target="_blank" href="'.get_the_author_meta('user_url', $authorId).'"><i class="icon-globe"></i></a>':'';
						$html .= '</p>';
						$html .= '<p class="desc">'.get_the_author_meta('description', $authorId).'</p>';
						$html .= '</li>';
			}
			$html .= '</ul>';
			
			$html .= $after_widget;
			
			echo $html;
		}
	}
	
	register_widget('aboutTheAuthorWidget');

?>