<?php
/*************** highlights ***************/
	class highlightsWidget extends WP_Widget{
		public function __construct(){
			parent::__construct(
				'highlightsWidget',
				'MagaNews Highlights (Sticky Posts)',
				array('description' => __('Lists the sticky posts as highlights'))
			);
		}
		
		public function form($instance){
			$title = isset($instance['title'])? $instance['title']:'Highlights';
			$posts_per_page = isset($instance['posts_per_page'])? $instance['posts_per_page']:5;
			?>
			<p>
            <label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e( 'Title:' ); ?></label> 
            <input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo esc_attr( $title ); ?>" /><br/>
            <label for="<?php echo $this->get_field_id( 'posts_per_page' ); ?>"><?php _e( 'Number of stick posts to show as highlights:' ); ?></label> 
            <input class="widefat" id="<?php echo $this->get_field_id( 'posts_per_page' ); ?>" name="<?php echo $this->get_field_name( 'posts_per_page' ); ?>" type="text" value="<?php echo $posts_per_page; ?>" />
            </p>
        <?php
		}
		
		public function update($newInstance, $oldInstance){
			$instance = array();
			$instance['title'] = strip_tags($newInstance['title']);
			$instance['posts_per_page'] = max(1, intval($newInstance['posts_per_page']));
			return $instance;
		}
		
		public function widget($args, $instance){
			extract( $args );
			$title = apply_filters( 'widget_title', $instance['title'] );
			$posts_per_page = max(1, intval($instance['posts_per_page']));
	
			$html = $before_widget;
			if ( ! empty( $title ) )
				$html .= $before_title . $title . $after_title;
			$html .= '<ul class="highlights">';
		 
				$sticky = get_option( 'sticky_posts' );
				$args = array(
					'post__in'  => $sticky,
					'posts_per_page' => $posts_per_page
				);
				if (is_category()){
					$catId = intval(get_query_var('cat'));
					$args['cat'] = $catId;
				}
				$highlights  = new WP_Query( $args );
				$count = 0;
				if ($highlights->have_posts()):
					while($highlights->have_posts()):
						$highlights->the_post();
	
						$html .= '<li><p class="date">'.get_the_time('M j').'</p>';
						$html .= '<h3><a href="'.get_permalink().'">'.get_the_title().'</a></h3>';
						$html .= '<p class="excerpt">'.get_the_excerpt().' <span class="author">by <a href="'.get_author_posts_url( get_the_author_meta('ID') ).'">'.get_the_author().'</a></span></p>';
						$html .= '</li>';
						$count++;
					endwhile;
				endif;
				wp_reset_postdata();
			$html .= '</ul>';
	
			$html .= $after_widget;
			
			if ($count>0) echo $html;
		}
	}
	
	register_widget('highlightsWidget');
?>