<?php

/*************** Most Commented Articles ***************/
	class mostCommentedWidget extends WP_Widget{
		public function __construct(){
			parent::__construct(
				'mostCommentedWidget',
				'MagaNews Most Commented Articles',
				array('description' => __('Lists the most commented posts'))
			);
		}
		
		public function form($instance){
			global $wp_query;
			$title = isset($instance['title'])? $instance['title']:'Most Commented Articles';
			$postsPerPage = isset($instance['posts_per_page'])? $instance['posts_per_page']:5;
			?>
			<p>
            <label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e( 'Title:' ); ?></label> 
            <input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo esc_attr( $title ); ?>" /><br/>
            <label for="<?php echo $this->get_field_id( 'posts_per_page' ); ?>"><?php _e( 'Posts per page:' ); ?></label> 
            <input class="widefat" id="<?php echo $this->get_field_id( 'posts_per_page' ); ?>" name="<?php echo $this->get_field_name( 'posts_per_page' ); ?>" type="text" value="<?php echo $postsPerPage; ?>" />
            </p>
        <?php
		}
		
		public function update($newInstance, $oldInstance){
			$instance = array();
			$instance['title'] = strip_tags($newInstance['title']);
			$instance['posts_per_page'] = max(1, intval($newInstance['posts_per_page']));
			return $instance;
		}
		
		public function widget($args, $instance){
			extract( $args );
			$title = apply_filters( 'widget_title', $instance['title'] );
			$posts_per_page = max(1, intval($instance['posts_per_page']));
	
			echo $before_widget;
			if ( ! empty( $title ) )
				echo $before_title . $title . $after_title;
				?>
                
			 <ul class="mostCommented">
				<?php
					$args = array(
						'posts_per_page' => $posts_per_page,
						'orderby' => 'comment_count',
						'order' => 'DESC',
						'ignore_sticky_posts' => 1,
					);
					if (is_category()){
						$catId = intval(get_query_var('cat'));
						$args['cat'] = $catId;
					}
					$rank = 1;
                    $mostCommented  = new WP_Query( $args );
					if ($mostCommented->have_posts()): while($mostCommented->have_posts()):
					$mostCommented->the_post();
                ?>
                <li class="clearFix"><p class="rank"><?php echo $rank++; ?></p><h3><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
                <p class="numComments"><?php echo get_comments_number(); ?> Comments</p>
                </li>
                <?php endwhile; else:?>
                <li>(No articles found.)</li>
                <?php endif; 
					wp_reset_postdata();
				?>
			</ul>
        
            <?php
			echo $after_widget;
		}
	}
	
	register_widget('mostCommentedWidget');
?>