<?php

/*************** recent comments ***************/
	class recentCommentsWidget extends WP_Widget{
		public function __construct(){
			parent::__construct(
				'recentCommentsWidget',
				'MagaNews Recent Comments',
				array('description' => __('Lists recent comments'))
			);
		}
		
		public function form($instance){
			$title = isset($instance['title'])? $instance['title']:'Your Thoughts';
			$numComments = isset($instance['num_comments'])? $instance['num_comments']:5;
			$textLength = isset($instance['text_length'])? $instance['text_length']:150;
			?>
			<p>
            <label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e( 'Title:' ); ?></label> 
            <input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo esc_attr( $title ); ?>" /><br/>
            <label for="<?php echo $this->get_field_id( 'num_comments' ); ?>"><?php _e( 'Number of comments:' ); ?></label> 
            <input class="widefat" id="<?php echo $this->get_field_id( 'num_comments' ); ?>" name="<?php echo $this->get_field_name( 'num_comments' ); ?>" type="text" value="<?php echo $numComments; ?>" />
            <label for="<?php echo $this->get_field_id( 'text_length' ); ?>"><?php _e( 'Number of characters to display for each comment:' ); ?></label> 
            <input class="widefat" id="<?php echo $this->get_field_id( 'text_length' ); ?>" name="<?php echo $this->get_field_name( 'text_length' ); ?>" type="text" value="<?php echo $textLength; ?>" />
            </p>
        <?php
		}
		
		public function update($newInstance, $oldInstance){
			$instance = array();
			$instance['title'] = strip_tags($newInstance['title']);
			$instance['num_comments'] = max(1, intval($newInstance['num_comments']));
			$instance['text_length'] = max(1, intval($newInstance['text_length']));
			return $instance;
		}
		
		public function widget($args, $instance){
			extract( $args );
			$title = apply_filters( 'widget_title', $instance['title'] );
			$numComments = max(1, intval($instance['num_comments']));
			$textLength = max(1, intval($instance['text_length']));
	
			$html = $before_widget;
			if ( ! empty( $title ) )
				$html .= $before_title . $title . $after_title;   
			$html .= '<ul class="recentComments">';
			 
				$comments = get_comments(array('status'=>'approve','number'=>$numComments));
				$count = 0;
				if ($comments){
					foreach($comments as $comment) :
							if (is_category()){
								$catId = intval(get_query_var('cat'));
								$cats = wp_get_post_categories( $comment->comment_post_ID );
								if (!in_array($catId, $cats)) continue;
							}
							$html .= '<li><h3>';
							$html .= $comment->comment_author.' on <a href="'.get_permalink($comment->comment_post_ID).'">'.get_the_title($comment->comment_post_ID).'</a>';
							$html .= '</h3><p><a href="'.get_permalink($comment->comment_post_ID).'#comments">'.substr($comment->comment_content,0,$textLength).'...</a></p>';
							$html .= '</li>';
							$count++;
					endforeach;
				}
				
			$html .= '</ul>';
        	$html .= $after_widget;
			
			if ($count>0) echo $html;
		}
	}
	
	register_widget('recentCommentsWidget');

?>