<?php

/*************** related posts ***************/
	class relatedPostsWidget extends WP_Widget{
		public function __construct(){
			parent::__construct(
				'relatedPostsWidget',
				'MagaNews Related Posts',
				array('description' => __('Lists related posts based on tags of the current post'))
			);
		}
		
		public function form($instance){
			$title = isset($instance['title'])? $instance['title']:'Related Articles';
			$postsPerPage = isset($instance['posts_per_page'])? $instance['posts_per_page']:5;
			?>
			<p>
            <label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e( 'Title:' ); ?></label> 
            <input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo esc_attr( $title ); ?>" /><br/>
            <label for="<?php echo $this->get_field_id( 'posts_per_page' ); ?>"><?php _e( 'Number of related posts to show:' ); ?></label> 
            <input class="widefat" id="<?php echo $this->get_field_id( 'posts_per_page' ); ?>" name="<?php echo $this->get_field_name( 'posts_per_page' ); ?>" type="text" value="<?php echo $postsPerPage; ?>" />
            </p>
        <?php
		}
		
		public function update($newInstance, $oldInstance){
			$instance = array();
			$instance['title'] = strip_tags($newInstance['title']);
			$instance['posts_per_page'] = max(1, intval($newInstance['posts_per_page']));
			return $instance;
		}
		
		public function widget($args, $instance){
			extract( $args );
			$title = apply_filters( 'widget_title', $instance['title'] );
			$postsPerPage = max(1, intval($instance['posts_per_page']));
	
			$html = $before_widget;
			if ( ! empty( $title ) ) $html .= $before_title . $title . $after_title;
			$html .= '<ul class="relatedPosts">';
			if (is_single()) {
				$tags = wp_get_post_tags(get_the_id());
			}
			$count = 0;
			
			if ($tags){
				$tagIds  = array();
				foreach ($tags as $t){
					$tagIds[] = $t->term_id;
				}
				
				$args = array('tag__in' => $tagIds, 'posts_per_page' => $postsPerPage, 'post__not_in'=> array(get_the_id()), 'post_type' => 'post');
				$relatedPosts = new WP_Query($args);
				if ($relatedPosts->have_posts()):
					while($relatedPosts->have_posts()):
						$relatedPosts->the_post();
						$html .= '<li><h3><a href="'.get_permalink().'">'.get_the_title().'</a></h3>';
						$html .= '<p><a href="'.get_permalink().'">'.get_the_excerpt().'</a></p></li>';
						$count++;
					endwhile;
				endif;
				wp_reset_postdata();
			}
			
			$html .= '</ul>';
			$html .= $after_widget;
			
			if (is_single() && $count>0){
				echo $html;
			}
		}
	}
	
	register_widget('relatedPostsWidget');

?>