<?php

/*************** sidebar link ***************/
	class sideBarLinkWidget extends WP_Widget{
		public function __construct(){
			parent::__construct(
				'sidebarLinkWidget',
				'MagaNews Sidebar Link',
				array('description' => __('Adds a link to sidebar'))
			);
		}
		
		public function form($instance){
			$title = isset($instance['title'])? $instance['title']:'WordPress';
			$url = isset($instance['url'])? $instance['url']:'www.wordpress.org';
			?>
			<p>
            <label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e( 'Title:' ); ?></label> 
            <input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo esc_attr( $title ); ?>" /><br/>
            <label for="<?php echo $this->get_field_id( 'url' ); ?>"><?php _e( 'URL:' ); ?></label> 
            <input class="widefat" id="<?php echo $this->get_field_id( 'url' ); ?>" name="<?php echo $this->get_field_name( 'url' ); ?>" type="text" value="<?php echo esc_url( $url ); ?>" /><br/>
            </p>
        <?php
		}
		
		public function update($newInstance, $oldInstance){
			$instance = array();
			$instance['title'] = strip_tags($newInstance['title']);
			$instance['url'] = esc_url($newInstance['url']);
			return $instance;
		}
		
		public function widget($args, $instance){
			extract( $args );
			$title = apply_filters( 'widget_title', $instance['title'] );
			$url = esc_url($instance['url']);
	
			echo substr($before_widget,0,-2).' sidebarLink">';
			if ( ! empty( $title ) ) {
				?>
			 <h2><a href="<?php echo $url;?>"><?php echo $title;?></a></h2>
            <?php
			}
			echo $after_widget;
		}
	}
	
	register_widget('sidebarLinkWidget');

?>