<?php

/*************** sidebar menu ***************/
	class sidebarMenuWidget extends WP_Widget{
		public function __construct(){
			parent::__construct(
				'menuWidget',
				'MagaNews Sidebar Menu',
				array('description' => __('Lists the primary menu in sidebar'))
			);
		}
		
		public function form($instance){
			$title = isset($instance['title'])? $instance['title']:'Inside '.get_bloginfo('name');?>
			<p>
            <label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e( 'Title:' ); ?></label> 
            <input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo esc_attr( $title ); ?>" />
            </p>
        <?php
		}
		
		public function update($newInstance, $oldInstance){
			$instance = array();
			$instance['title'] = strip_tags($newInstance['title']);
			return $instance;
		}
		
		public function widget($args, $instance){
			extract( $args );
			$title = apply_filters( 'widget_title', $instance['title'] );
	
			echo '<nav class="widget">';
			if ( ! empty( $title ) )
				echo $before_title . $title . $after_title;
				
				$menuName = 'primaryMenu';

				if ( ( $locations = get_nav_menu_locations() ) && isset( $locations[ $menuName ] ) ) {
					$menu = wp_get_nav_menu_object( $locations[ $menuName ] );
				
					$menuItems = wp_get_nav_menu_items($menu->term_id);
				
					$mobileMenu = '<form><select name="navMenu" id="navMenu"><option value="#">Please select</option><option value="#">=============</option>';
				
					$menuParents = array();
					foreach ( (array) $menuItems as $key => $menuItem ) {
						$title = $menuItem->title;
						$url = $menuItem->url;
						$desc = $menuItem->post_content;
						$parentId = $menuItem->menu_item_parent;
						
						$parentKey = array_search($parentId, $menuParents);
						if (!is_int($parentKey)){ // new parent, one level down
							array_push($menuParents, $parentId);
							$menuList .= '<ul class="sidebarMenu">';
						}
						else{ // existing parent, find parent level
							while(TRUE){ 
								$currentParent = array_pop($menuParents);
								if ($currentParent != $parentId){
									$menuList .= '</li></ul>';
								} else{
									break;
								}
							}
							array_push($menuParents, $parentId);
						}
						
						$menuList .= '<li><h'.(count($menuParents)+2).'><a href="' . $url . '">' . $title . '</a></h'.(count($menuParents)+2).'>'.($desc?'<p>'.$desc.'</p>':'');
						$mobileMenu .= '<option value="' . $url . '">' . str_repeat(' - ', count($menuParents)-1) . ' ' . (count($menuParents)==1?strtoupper($title):$title) . '</option>';
					}
					
					while(count($menuParents) > 0){
						$menuList .= '</li></ul>';
						array_pop($menuParents);
					}
					$mobileMenu .= '</select></form>';
				} else {
					$menuList = '<ul><li>Menu "' . $menuName . '" not defined.</li></ul>';
					$mobileMenu = '<form><select name="navMenu" id="navMenu"><option value="#">' . $menuName . '" not defined.</option></form>';
				}
				
				echo $menuList;
				echo $mobileMenu;
				
			echo '</nav>';
		}
	}
	
	register_widget('sidebarMenuWidget');

?>