<?php

/*************** slider ***************/
	class sliderWidget extends WP_Widget{
		public function __construct(){
			parent::__construct(
				'sliderWidget',
				'MagaNews Slider (Sticky Posts)',
				array('description' => __('Shows featured images of sticky posts in slider'))
			);
		}
		
		public function form($instance){
			$title = isset($instance['title'])? $instance['title']:'';
			$numImages = isset($instance['num_images'])? $instance['num_images']:5;
			$noButtons = isset($instance['no_buttons'])? (bool) $instance['no_buttons']:false;
			$noCaption = isset($instance['no_caption'])? (bool) $instance['no_caption']:false;
			$noMargin = isset($instance['no_margin'])? (bool) $instance['no_margin']:false;
			?>
			<p>
            <label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e( 'Title:' ); ?></label> 
            <input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo esc_attr( $title ); ?>" /><br/>
            <label for="<?php echo $this->get_field_id( 'num_images' ); ?>"><?php _e( 'Number of images to show in slider:' ); ?></label> 
            <input class="widefat" id="<?php echo $this->get_field_id( 'num_images' ); ?>" name="<?php echo $this->get_field_name( 'num_images' ); ?>" type="text" value="<?php echo $numImages; ?>" />
            <input class="checkbox" id="<?php echo $this->get_field_id( 'no_buttons' ); ?>" name="<?php echo $this->get_field_name( 'no_buttons' ); ?>" type="checkbox" value="1" <?php echo $noButtons?'checked':''; ?>/> <label for="<?php echo $this->get_field_id( 'no_buttons' ); ?>"><?php _e( 'Hide slider buttons' ); ?></label><br/>
            <input class="checkbox" id="<?php echo $this->get_field_id( 'no_caption' ); ?>" name="<?php echo $this->get_field_name( 'no_caption' ); ?>" type="checkbox" value="1" <?php echo $noCaption?'checked':''; ?>/> <label for="<?php echo $this->get_field_id( 'no_caption' ); ?>"><?php _e( 'Hide caption' ); ?></label><br/>
            <input class="checkbox" id="<?php echo $this->get_field_id( 'no_margin' ); ?>" name="<?php echo $this->get_field_name( 'no_margin' ); ?>" type="checkbox" value="1" <?php echo $noMargin?'checked':''; ?>/> <label for="<?php echo $this->get_field_id( 'no_margin' ); ?>"><?php _e( 'Set bottom margin to 0' ); ?></label><br/>
            </p>
        <?php
		}
		
		public function update($newInstance, $oldInstance){
			$instance = array();
			$instance['title'] = strip_tags($newInstance['title']);
			$instance['num_images'] = max(1, intval($newInstance['num_images']));
			$instance['no_buttons'] = (bool)$newInstance['no_buttons'];
			$instance['no_caption'] = (bool)$newInstance['no_caption'];
			$instance['no_margin'] = (bool)$newInstance['no_margin'];
			return $instance;
		}
		
		public function widget($args, $instance){
			extract( $args );
			$title = apply_filters( 'widget_title', $instance['title'] );
			$numImages = max(1, intval($instance['num_images']));
			$noButtons = (bool)$instance['no_buttons'];
			$noCaption = (bool)$instance['no_caption'];
			$noMargin = (bool)$instance['no_margin'];
	
			if ($noMargin){
				echo substr($before_widget, 0, -1).' style="margin-bottom:0;">';
			} else{
				echo $before_widget;
			}
			if ( ! empty( $title ) ) {
				echo $before_title . $title . $after_title;
			}
			
			$images = NULL;
			$captions = NULL;

			$sticky = get_option( 'sticky_posts' );
			$args = array(
				'post__in'  => $sticky,
				'posts_per_page' => $numImages
			);
			if (is_category()){
				$catId = intval(get_query_var('cat'));
				$args['cat'] = $catId;
			}
			$highlights  = new WP_Query( $args );
			if ($highlights->have_posts()): while($highlights->have_posts()):
			$highlights->the_post();
			if (!has_post_thumbnail()) continue;
			$images .= '<a href="'.get_permalink().'">'.get_the_post_thumbnail().'</a>';
			$captions .= '<p class="caption"><a href="'.get_permalink().'">'.get_post( get_post_thumbnail_id() )->post_excerpt.'</a></p>';
			endwhile;
			else:
			$images = '<p>(No image found.)</p>';
			endif; 
			wp_reset_postdata();
			
				?>
                
                <div class="slider">
                    <div class="frame">
                        <div class="imageContainer">
                        <?php echo $images; ?>
                        </div>
                    </div>
                    <div class="buttonContainer" <?php echo $noButtons?'style="display: none;"':''?>>
                    </div>
                    <?php echo $noCaption?'':$captions; ?>
                </div>
        
            <?php
			echo $after_widget;
		}
	
	} // end of class
	
	register_widget('sliderWidget');
	
?>