<?php

/*************** about the author ***************/
	class socialWidget extends WP_Widget{
		public function __construct(){
			parent::__construct(
				'socialWidget',
				'MagaNews Social Pages',
				array('description' => __('Lists the social pages of the current website'))
			);
		}
		
		public function form($instance){
			$title = isset($instance['title'])? $instance['title']:'Social';
			
			$facebook = isset($instance['facebook'])? $instance['facebook']:'http://www.facebook.com';
			$twitter = isset($instance['twitter'])? $instance['twitter']:'http://www.twitter.com';
			$linkedIn = isset($instance['linkedin'])? $instance['linkedin']:'http://www.linkedin.com';
			$googlePlus = isset($instance['google_plus'])? $instance['google_plus']:'http://plus.google.com';
			$pinterest = isset($instance['pinterest'])? $instance['pinterest']:'http://www.pinterest.com';
			$github = isset($instance['github'])? $instance['github']:'https://github.com';
			?>
			<p>
            <label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e( 'Title:' ); ?></label> 
            <input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo esc_attr( $title ); ?>" /><br/>
            <label for="<?php echo $this->get_field_id( 'facebook' ); ?>"><?php _e( 'Facebook:' ); ?></label> 
            <input class="widefat" id="<?php echo $this->get_field_id( 'facebook' ); ?>" name="<?php echo $this->get_field_name( 'facebook' ); ?>" type="text" value="<?php echo esc_attr( $facebook ); ?>" /><br/>
            <label for="<?php echo $this->get_field_id( 'twitter' ); ?>"><?php _e( 'Twitter:' ); ?></label> 
            <input class="widefat" id="<?php echo $this->get_field_id( 'twitter' ); ?>" name="<?php echo $this->get_field_name( 'twitter' ); ?>" type="text" value="<?php echo esc_attr( $twitter ); ?>" /><br/>
            <label for="<?php echo $this->get_field_id( 'linkedin' ); ?>"><?php _e( 'LinkedIn:' ); ?></label> 
            <input class="widefat" id="<?php echo $this->get_field_id( 'linkedin' ); ?>" name="<?php echo $this->get_field_name( 'linkedin' ); ?>" type="text" value="<?php echo esc_attr( $linkedIn ); ?>" /><br/>
            <label for="<?php echo $this->get_field_id( 'google_plus' ); ?>"><?php _e( 'Google+:' ); ?></label> 
            <input class="widefat" id="<?php echo $this->get_field_id( 'google_plus' ); ?>" name="<?php echo $this->get_field_name( 'google_plus' ); ?>" type="text" value="<?php echo esc_attr( $googlePlus ); ?>" /><br/>
            <label for="<?php echo $this->get_field_id( 'pinterest' ); ?>"><?php _e( 'Pinterest:' ); ?></label> 
            <input class="widefat" id="<?php echo $this->get_field_id( 'pinterest' ); ?>" name="<?php echo $this->get_field_name( 'pinterest' ); ?>" type="text" value="<?php echo esc_attr( $pinterest ); ?>" /><br/>
            <label for="<?php echo $this->get_field_id( 'github' ); ?>"><?php _e( 'Github:' ); ?></label> 
            <input class="widefat" id="<?php echo $this->get_field_id( 'github' ); ?>" name="<?php echo $this->get_field_name( 'github' ); ?>" type="text" value="<?php echo esc_attr( $github ); ?>" /><br/>
            </p>
        <?php
		}
		
		public function update($newInstance, $oldInstance){
			$instance = array();
			$instance['title'] = strip_tags($newInstance['title']);
			$instance['facebook'] = esc_url($newInstance['facebook']);
			$instance['twitter'] = esc_url($newInstance['twitter']);
			$instance['linkedin'] = esc_url($newInstance['linkedin']);
			$instance['google_plus'] = esc_url($newInstance['google_plus']);
			$instance['pinterest'] = esc_url($newInstance['pinterest']);
			$instance['github'] = esc_url($newInstance['github']);
			return $instance;
		}
		
		public function widget($args, $instance){
			extract( $args );
			$title = apply_filters( 'widget_title', $instance['title'] );
			$facebook = esc_url($instance['facebook']);
			$twitter = esc_url($instance['twitter']);
			$linkedin = esc_url($instance['linkedin']);
			$googlePlus = esc_url($instance['google_plus']);
			$pinterest = esc_url($instance['pinterest']);
			$github = esc_url($instance['github']);
	
			$html = $before_widget;
			if ( ! empty( $title ) ){
				$html .= $before_title . $title . $after_title;
			}
			
			$html .= '<ul class="social">';
			if ($facebook != '') $html .= '<li><a target="_blank" href="'.$facebook.'"><i class="icon-facebook"></i></a></li>';
			if ($twitter != '') $html .= '<li><a target="_blank" href="'.$twitter.'"><i class="icon-twitter"></i></a></li>';
			if ($linkedin != '') $html .= '<li><a target="_blank" href="'.$linkedin.'"><i class="icon-linkedin"></i></a></li>';
			if ($googlePlus != '') $html .= '<li><a target="_blank" href="'.$googlePlus.'"><i class="icon-google-plus"></i></a></li>';
			if ($pinterest != '') $html .= '<li><a target="_blank" href="'.$pinterest.'"><i class="icon-pinterest"></i></a></li>';
			if ($github != '') $html .= '<li><a target="_blank" href="'.$github.'"><i class="icon-github"></i></a></li>';
			$html .= '</ul>';
			
			$html .= $after_widget;
			
			echo $html;
		}
	}
	
	register_widget('socialWidget');

?>